/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package tekenaar;

import java.io.FileNotFoundException;
import java.util.List;
import java.util.Set;
import javax.swing.ImageIcon;

/**
 *
 * @author Leen
 */
public class Tekenaar {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws NotEnoughCategoriesFoundException {
        try{
            TekenFabriek fabriek = new TekenFabriek("afbeeldingen.txt");
            List<String> categorieen = fabriek.geefVerschillendeCategorieen(3);
            System.out.println("Deze categorieen werden gekozen: ");
            for(String s : categorieen){
                System.out.println(s);
            }
            
            Set<String> lijstje = fabriek.geefOpsommingVan(categorieen.get(1));
            for(String s : lijstje){
                System.out.println(s);
            }
            
            ImageIcon icon = fabriek.geefAfbeeldingVan("panda");
            System.out.println("\nIk kan een icoontje maken van de panda;");
            System.out.println("maar hier wordt enkel de bestandsnaam gegeven: "+icon.toString());
            
        }
        catch(FileNotFoundException e){
            System.out.println("Bestand niet gevonden...");
        }
        catch(NotEnoughCategoriesFoundException e){
            System.out.println(e.getMessage());
        }
    }
    
}
